<sqtm-core-customisable-dialog
  [sqtmCoreWorkspace]="'custom-report-workspace'"
  [localTheme]="true"
>
  <sqtm-core-dialog-header>
    <span class="sqtm-core-prevent-selection sqtm-core-font-dialog-title">{{
      data.report.label
    }}</span>
  </sqtm-core-dialog-header>
  <sqtm-core-dialog-body>
    <div class="full-width full-height">
      <nz-tabset
        (nzSelectedIndexChange)="updateFormats($event)"
        [(nzSelectedIndex)]="selectedViewIndex"
      >
        @for (view of data.report.views; track view; let index = $index) {
          <nz-tab [nzTitle]="view.label">
            <ng-template nz-tab>
              <div
                class="full-width full-height flex-row"
                style="justify-content: center; overflow-x: auto"
              >
                <sqtm-app-jasper-report-view
                  [reportId]="data.report.id"
                  [viewIndex]="index"
                  [view]="view"
                  [params]="data.params"
                >
                </sqtm-app-jasper-report-view>
              </div>
            </ng-template>
          </nz-tab>
        }
      </nz-tabset>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <div class="m-t-10">
      <nz-select [(ngModel)]="selectedFormat">
        @for (format of formats; track format) {
          <nz-option [nzValue]="format" [nzLabel]="format"></nz-option>
        }
      </nz-select>
      <button
        class="m-l-10"
        [attr.data-test-dialog-button-id]="'download'"
        nz-button
        nzType="primary"
        [nzLoading]="jasperReportService.generatingReport$ | async"
        (click)="handleDownload()"
      >
        {{ 'sqtm-core.entity.generic.download' | translate | capitalize }}
      </button>
      <button
        [attr.data-test-dialog-button-id]="'cancel'"
        style="margin-left: 5px"
        nz-button
        nzType="default"
        sqtmCoreDialogClose
      >
        {{ 'sqtm-core.generic.label.close' | translate }}
      </button>
    </div>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
